List payment disputes
curl --request GET \
--url https://merchant.zahlo.eu/api/v1/disputes \
--header 'x-api-key: <api-key>'import requests
url = "https://merchant.zahlo.eu/api/v1/disputes"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://merchant.zahlo.eu/api/v1/disputes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": []
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}Payments
List payment disputes
List payment disputes. Use the response status and request ID to decide whether to retry, reconcile, or ask the customer for action.
GET
/
api
/
v1
/
disputes
List payment disputes
curl --request GET \
--url https://merchant.zahlo.eu/api/v1/disputes \
--header 'x-api-key: <api-key>'import requests
url = "https://merchant.zahlo.eu/api/v1/disputes"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://merchant.zahlo.eu/api/v1/disputes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": []
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}Authorizations
Server-side merchant API key. Never expose it in browser code.
Query Parameters
Maximum number of records to return.
Required range:
1 <= x <= 200Number of records to skip.
Required range:
x >= 0